Index: extensions/gally/gally-cuise/js/crossbrowser.js
===================================================================
--- extensions/gally/gally-cuise/js/crossbrowser.js	(revision 7194)
+++ extensions/gally/gally-cuise/js/crossbrowser.js	(revision 7459)
@@ -1607,5 +647,5 @@
          }
      }
-     //--------------------------------------------------------------------------
+
      function getRgbHslContent(styleString) {
          var start = styleString.indexOf('(', 3);
@@ -1620,13 +660,13 @@
          return parts;
      }
-     //--------------------------------------------------------------------------
+
      function percent(s) {
          return parseFloat(s) / 100;
      }
-     //--------------------------------------------------------------------------
+
      function clamp(v, min, max) {
          return Math.min(max, Math.max(min, v));
      }
-     //--------------------------------------------------------------------------
+
      function hslToRgb(parts) {
          var r, g, b, h, s, l;
@@ -1650,5 +690,5 @@
          decToHex[Math.floor(b * 255)];
      }
-     //--------------------------------------------------------------------------
+
      function hueToRgb(m1, m2, h) {
          if (h < 0)
@@ -1666,17 +706,22 @@
              return m1;
      }
-     //--------------------------------------------------------------------------
-   
+     function hexToDec(hex) {
+         return parseInt(hex, 16);
+     }
+
+
      function translateColor(styleString) {
          var str;
          var n = 0;
-        var exp = new RegExp(/^#/);
-
-         style_String = jQuery.trim(String(styleString));
-         if (exp.test(style_String)) { 
-                  return style_String;
-             } else if (/^rgb/.test(style_String)) {
-             parts = getRgbHslContent(style_String);
-             str = '', n;
+
+
+         styleString = String(styleString);
+         if (styleString.charAt(0) == '#') {
+             styleString = (styleString + "00000000").substring(0, 7);
+
+             return styleString;
+         } else if (/^rgb/.test(styleString)) {
+             var parts = getRgbHslContent(styleString);
+             var str = '', n;
              for (var i = 0; i < 3; i++) {
                  if (parts[i].indexOf('%') != -1) {
@@ -1689,20 +734,19 @@
 
              alpha = parts[3];
-         } else if (/^hsl/.test(style_String)) {
-            parts = getRgbHslContent(style_String);
+         } else if (/^hsl/.test(styleString)) {
+             var parts = getRgbHslContent(styleString);
              str = hslToRgb(parts);
              alpha = parts[3];
-         } else if (style_String in colorData) {
-          
+         } else if (styleString in colorData) {
+             var exp = new RegExp(/^#/);
 
              return colorData[styleString];
 
-          } else if ( !isNaN(style_String)) {
-
-           return translateColor("#"+style_String);
+
+
          } else {
 
 
-             return style_String;
+             return styleString;
 
 
@@ -1711,7 +755,5 @@
          return '#' + str;
      }  	
-	 
-	 
-    //--------------------------------------------------------------------------
+ 
       var colorData = {
          aliceblue: '#F0F8FF',
@@ -1722,5 +764,4 @@
          bisque: '#FFE4C4',
          black: '#000000',
-         blue:'#0000FF',
          blanchedalmond: '#FFEBCD',
          blueviolet: '#8A2BE2',
@@ -1768,5 +809,4 @@
          grey: '#808080',
          greenyellow: '#ADFF2F',
-         green: '#00FF00',
          honeydew: '#F0FFF0',
          hotpink: '#FF69B4',
